# Kite - Detailed Router

Public Member Functions | List of all members
SegmentObserver Class Reference

Observer on the base AutoSegment. More...

Inheritance diagram for SegmentObserver:
[legend]

## Public Member Functions

virtual void | notify (unsigned int flags)

## Detailed Description

Observer on the base AutoSegment.

The observer that will be hooked into the observable in the associated canonical AutoSegment. Used to propagate the invalidation/revalidation events from AutoSegment toward TrackSegment.

As a secondary function, it is used by the Session::lookup() method to quicly retrieve TrackSegment from Katabatic::AutoSegment.

## Member Function Documentation

## ◆ notify()

void notify | ( | unsigned int | flags | ) |

virtual

Implement the asymmetric invalidate/revalidate policy described in Kite::Session. The invalidate is immediatly passed on while the revalidate is ignored.

Reimplemented from BaseObserver.

The documentation for this class was generated from the following files:

- TrackElement.h
- TrackElement.cpp
- TrackElement.dox